﻿@model BPGroupView
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Companies.BG</h3>
    </div>
    <div class="panel-body">
        @using (Html.BeginForm("ConfirmAction", "BPGroup", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formBPGroup" }))
        {
            <label class="col-md-2 control-label" id="REQ" style="display:none">@Companies.REQ</label>
            <div class="form-group">
                <label class="col-md-1 control-label" id="lblName">@Users.Name</label>
                <div class="col-md-11">
                    @Html.TextBoxFor(c => c.Name, new { @placeholder = @Users.Name, @class = "form-control" })
                </div>
            </div>
            <div class="divider separador_bottom">  </div>

            <div class="form-group">
                <label class="col-md-2 control-label" id="lblName"></label>
                <div class="col-md-12">
                    <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                        <div id="TableBPGroupLines">
                            @Html.Partial("_BPList", Model.BPGroupLines)
                        </div>
                    </div>

                    <div class="clear1">  </div>
                    <div class="divider">  </div>

                        <div class="col-md-12">
                            <button type="button" id="btNew" class="btn btn-success btn-ls" data-toggle="modal" data-target="#BPModal" onclick="GetBPModel()">@BusinessPartners.ABP</button>
                        </div>
                    </div>
            </div>
            @Html.HiddenFor(c => c.Id)
            @Html.HiddenFor(c => c.IdCompany)
            <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />

            <div class="but_blok_footer">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
                    @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
                </div>
            </div>
        }
    </div>
</div>

<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@Companies.BGUpdateMessage</strong>
</div>

@*Modal BP*@
<div class="modal fade" id="BPModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@PurchaseOrders.Search</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "searchCardCode", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "searchCardName", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchBP" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body" id="ModalBPTable">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
                <button type="button" id="btnChooseBP" class="btn btn-primary">@PurchaseOrders.Choose</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/BPGroup")